aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-requires/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-08-21 08:52:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-08-21 08:52:47 +0000
commit6bbf8e3dfa85c071b938cf467af692119c157ed8 (patch)
treea6a4b893fe62becff46742fb6cd0d56ea08a5f23 /main/perl-test-requires/APKBUILD
parent0704abe90e023f19b93a1af3dbeca5cd2cd1f605 (diff)
downloadaports-6bbf8e3dfa85c071b938cf467af692119c157ed8.tar.gz
aports-6bbf8e3dfa85c071b938cf467af692119c157ed8.tar.bz2
aports-6bbf8e3dfa85c071b938cf467af692119c157ed8.tar.xz
main/perl-test-requires: upgrade to 0.08
Diffstat (limited to 'main/perl-test-requires/APKBUILD')
-rw-r--r--main/perl-test-requires/APKBUILD15
1 files changed, 8 insertions, 7 deletions
diff --git a/main/perl-test-requires/APKBUILD b/main/perl-test-requires/APKBUILD
index b255d683b2..363753a6da 100644
--- a/main/perl-test-requires/APKBUILD
+++ b/main/perl-test-requires/APKBUILD
@@ -1,8 +1,9 @@
# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-test-requires
_pkgreal=Test-Requires
-pkgver=0.07
+pkgver=0.08
pkgrel=0
pkgdesc="Checks to see if the module can be loaded"
url="http://search.cpan.org/dist/Test-Requires/"
@@ -20,21 +21,21 @@ _builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- perl Build.PL installdirs=vendor || return 1
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- ./Build && ./Build test
+ make && make test
}
package() {
cd "$_builddir"
- ./Build install destdir="$pkgdir" || return 1
+ make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="20bdd194fd0cf59eb0cc9349a68dbaa6 Test-Requires-0.07.tar.gz"
-sha256sums="cc0273f1b68817dc715e374c7abf245f13db28223a734d2bd72ab1d48a33cef0 Test-Requires-0.07.tar.gz"
-sha512sums="65fca6f894181e8b642628aaa388ee0f45d1269729c45ced7a9c04053511351416a97c9114696b38ae1294299931e987a203a2553095668557748bb223719a8b Test-Requires-0.07.tar.gz"
+md5sums="339ec20fbbeaa904a968bdee629688a6 Test-Requires-0.08.tar.gz"
+sha256sums="e7b1b4b30b90d530aea68205c0e65cf7a784d6a218df5a2b41830cdb404d8221 Test-Requires-0.08.tar.gz"
+sha512sums="ddb0072ed4f35019b9d1122742f272d9f00589fafeadf3ad0758a962ba5e819fc3e15cb01e1a0ed1c03aee42c18b7ef1377a45683519bf6d63b1b31e3384b9d0 Test-Requires-0.08.tar.gz"